## easyrpg-player 0.8.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18...3.31 FATAL_ERROR)

project(EasyRPG_Player VERSION 0.8.1.1
	DESCRIPTION "Interpreter for RPG Maker 2000/2003 games"
	HOMEPAGE_URL "https://easyrpg.org"
	LANGUAGES CXX)

# Extra CMake Module files
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/builds/cmake/Modules")
include(CMakeDependentOption)
include(PlayerConfigureWindows)
include(PlayerFindPackage)
include(PlayerBuildType)
include(PlayerMisc)
include(GetGitRevisionDescription)

# Dependencies provided by CMake Presets
option(PLAYER_FIND_ROOT_PATH_APPEND "When enabled the items from CMAKE_PREFIX_PATH are added to CMAKE_FIND_ROOT_PATH. Works around problematic CMake Toolchain files" OFF)
list(APPEND CMAKE_PREFIX_PATH "${PLAYER_PREFIX_PATH_APPEND}")
if(PLAYER_FIND_ROOT_PATH_APPEND)
	list(APPEND CMAKE_FIND_ROOT_PATH "${CMAKE_PREFIX_PATH}")
endif()

# C++17 is required
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS ON)

# Must be at global scope, otherwise breaks -DPLAYER_BUILD_LIBLCF (see CMP0077)
option(BUILD_SHARED_LIBS "Build shared easyrpg_libretro core" ON)

option(CMAKE_FIND_PACKAGE_PREFER_CONFIG "Prefer config files over bundled FindXXX files. Set this to OFF when configuration fails and report a bug." ON)

# Source Files
add_library(${PROJECT_NAME} OBJECT
	src/lcf_data.cpp
	src/lcf/data.h
	src/async_handler.cpp
	src/async_handler.h
	src/async_op.h
	src/algo.h
	src/algo.cpp
	src/attribute.h
	src/attribute.cpp
	src/audio.cpp
	src/audio_decoder.cpp
	src/audio_decoder.h
	src/audio_decoder_base.cpp
	src/audio_decoder_base.h
	src/audio_decoder_midi.cpp
	src/audio_decoder_midi.h
	src/audio_generic.cpp
	src/audio_generic.h
	src/audio_generic_midiout.cpp
	src/audio_generic_midiout.h
	src/audio.h
	src/audio_midi.cpp
	src/audio_midi.h
	src/audio_resampler.cpp
	src/audio_resampler.h
	src/audio_secache.cpp
	src/audio_secache.h
	src/autobattle.cpp
	src/autobattle.h
	src/background.cpp
	src/background.h
	src/baseui.cpp
	src/baseui.h
	src/battle_animation.cpp
	src/battle_animation.h
	src/bitmap.cpp
	src/bitmapfont.h
	src/bitmapfont_glyph.h
	src/bitmap.h
	src/bitmap_hslrgb.h
	src/cache.cpp
	src/cache.h
	src/callback.h
	src/cmdline_parser.cpp
	src/cmdline_parser.h
	src/color.h
	src/compiler.h
	src/config_param.h
	src/decoder_fluidsynth.cpp
	src/decoder_fluidsynth.h
	src/decoder_libsndfile.cpp
	src/decoder_libsndfile.h
	src/decoder_mpg123.cpp
	src/decoder_mpg123.h
	src/decoder_oggvorbis.cpp
	src/decoder_oggvorbis.h
	src/decoder_opus.cpp
	src/decoder_opus.h
	src/decoder_wildmidi.cpp
	src/decoder_wildmidi.h
	src/decoder_xmp.cpp
	src/decoder_xmp.h
	src/default_graphics.h
	src/directory_tree.cpp
	src/directory_tree.h
	src/docmain.h
	src/drawable.cpp
	src/drawable.h
	src/drawable_list.cpp
	src/drawable_list.h
	src/drawable_mgr.cpp
	src/drawable_mgr.h
	src/dynrpg_easyrpg.cpp
	src/dynrpg_easyrpg.h
	src/dynrpg_textplugin.cpp
	src/dynrpg_textplugin.h
	src/enemyai.cpp
	src/enemyai.h
	src/exe_reader.cpp
	src/exe_reader.h
	src/exfont.h
	src/feature.cpp
	src/feature.h
	src/filefinder.cpp
	src/filefinder.h
	src/filefinder_rtp.cpp
	src/filefinder_rtp.h
	src/fileext_guesser.cpp
	src/fileext_guesser.h
	src/filesystem.cpp
	src/filesystem.h
	src/filesystem_hook.cpp
	src/filesystem_hook.h
	src/filesystem_lzh.cpp
	src/filesystem_lzh.h
	src/filesystem_native.cpp
	src/filesystem_native.h
	src/filesystem_root.cpp
	src/filesystem_root.h
	src/filesystem_stream.cpp
	src/filesystem_stream.h
	src/filesystem_zip.cpp
	src/filesystem_zip.h
	src/flash.h
	src/flat_map.h
	src/font.cpp
	src/font.h
	src/fps_overlay.cpp
	src/fps_overlay.h
	src/frame.cpp
	src/frame.h
	src/game_actor.cpp
	src/game_actor.h
	src/game_actors.cpp
	src/game_actors.h
	src/game_battlealgorithm.cpp
	src/game_battlealgorithm.h
	src/game_battle.cpp
	src/game_battle.h
	src/game_battler.cpp
	src/game_battler.h
	src/game_character.cpp
	src/game_character.h
	src/game_clock.cpp
	src/game_clock.h
	src/game_commonevent.cpp
	src/game_commonevent.h
	src/game_config.cpp
	src/game_config.h
	src/game_config_game.cpp
	src/game_config_game.h
	src/game_destiny.cpp
	src/game_destiny.h
	src/game_dynrpg.cpp
	src/game_dynrpg.h
	src/game_enemy.cpp
	src/game_enemy.h
	src/game_enemyparty.cpp
	src/game_enemyparty.h
	src/game_event.cpp
	src/game_event.h
	src/game_ineluki.cpp
	src/game_ineluki.h
	src/game_interpreter_battle.cpp
	src/game_interpreter_battle.h
	src/game_interpreter_control_variables.cpp
	src/game_interpreter_control_variables.h
	src/game_interpreter.cpp
	src/game_interpreter.h
	src/game_interpreter_map.cpp
	src/game_interpreter_map.h
	src/game_interpreter_shared.cpp
	src/game_interpreter_shared.h
	src/game_map.cpp
	src/game_map.h
	src/game_message.cpp
	src/game_message.h
	src/game_message_terms.cpp
	src/game_message_terms.h
	src/game_party_base.cpp
	src/game_party_base.h
	src/game_party.cpp
	src/game_party.h
	src/game_pictures.cpp
	src/game_pictures.h
	src/game_player.cpp
	src/game_player.h
	src/game_quit.cpp
	src/game_quit.h
	src/game_screen.cpp
	src/game_screen.h
	src/game_strings.cpp
	src/game_strings.h
	src/game_switches.cpp
	src/game_switches.h
	src/game_system.cpp
	src/game_system.h
	src/game_targets.cpp
	src/game_targets.h
	src/game_variables.cpp
	src/game_variables.h
	src/game_vehicle.cpp
	src/game_vehicle.h
	src/game_windows.cpp
	src/game_windows.h
	src/generated/bitmapfont_rmg2000.h
	src/generated/bitmapfont_ttyp0.h
	src/generated/bitmapfont_wqy.h
	src/generated/logo.h
	src/generated/logo2.h
	src/generated/shinonome_gothic.h
	src/generated/shinonome_mincho.h
	src/graphics.cpp
	src/graphics.h
	src/hslrgb.cpp
	src/hslrgb.h
	src/icon.h
	src/image_bmp.cpp
	src/image_bmp.h
	src/image_png.cpp
	src/image_png.h
	src/image_xyz.cpp
	src/image_xyz.h
	src/input_buttons_desktop.cpp
	src/input_buttons.h
	src/input.cpp
	src/input.h
	src/input_source.cpp
	src/input_source.h
	src/instrumentation.cpp
	src/instrumentation.h
	src/json_helper.cpp
	src/json_helper.h
	src/keys.h
	src/main_data.cpp
	src/main_data.h
	src/maniac_patch.cpp
	src/maniac_patch.h
	src/map_data.h
	src/memory_management.h
	src/message_overlay.cpp
	src/message_overlay.h
	src/meta.cpp
	src/meta.h
	src/midisequencer.cpp
	src/midisequencer.h
	src/opacity.h
	src/options.h
	src/output.cpp
	src/output.h
	src/pending_message.h
	src/pending_message.cpp
	src/pixel_format.h
	src/pixman_image_ptr.h
	src/plane.cpp
	src/plane.h
	src/platform.cpp
	src/platform.h
	src/platform/clock.h
	src/player.cpp
	src/player.h
	src/point.h
	src/rand.cpp
	src/rand.h
	src/rect.cpp
	src/rect.h
	src/registry.h
	src/registry_wine.cpp
	src/rtp.cpp
	src/rtp.h
	src/rtp_table.cpp
	src/scene_actortarget.cpp
	src/scene_actortarget.h
	src/scene_battle.cpp
	src/scene_battle.h
	src/scene_battle_rpg2k3.cpp
	src/scene_battle_rpg2k3.h
	src/scene_battle_rpg2k.cpp
	src/scene_battle_rpg2k.h
	src/scene.cpp
	src/scene_debug.cpp
	src/scene_debug.h
	src/scene_end.cpp
	src/scene_end.h
	src/scene_equip.cpp
	src/scene_equip.h
	src/scene_file.cpp
	src/scene_file.h
	src/scene_gamebrowser.cpp
	src/scene_gamebrowser.h
	src/scene_gameover.cpp
	src/scene_gameover.h
	src/scene.h
	src/scene_import.cpp
	src/scene_import.h
	src/scene_item.cpp
	src/scene_item.h
	src/scene_language.cpp
	src/scene_language.h
	src/scene_load.cpp
	src/scene_load.h
	src/scene_logo.cpp
	src/scene_logo.h
	src/scene_map.cpp
	src/scene_map.h
	src/scene_menu.cpp
	src/scene_menu.h
	src/scene_name.cpp
	src/scene_name.h
	src/scene_order.cpp
	src/scene_order.h
	src/scene_save.cpp
	src/scene_save.h
	src/scene_shop.cpp
	src/scene_shop.h
	src/scene_skill.cpp
	src/scene_skill.h
	src/scene_status.cpp
	src/scene_status.h
	src/scene_settings.h
	src/scene_settings.cpp
	src/scene_teleport.cpp
	src/scene_teleport.h
	src/scene_title.cpp
	src/scene_title.h
	src/screen.cpp
	src/screen.h
	src/shake.h
	src/span.h
	src/sprite_airshipshadow.cpp
	src/sprite_airshipshadow.h
	src/sprite_actor.cpp
	src/sprite_actor.h
	src/sprite_battler.cpp
	src/sprite_battler.h
	src/sprite_enemy.cpp
	src/sprite_enemy.h
	src/sprite_character.cpp
	src/sprite_character.h
	src/sprite_picture.h
	src/sprite_picture.cpp
	src/sprite_weapon.cpp
	src/sprite_weapon.h
	src/sprite.cpp
	src/sprite.h
	src/spriteset_battle.cpp
	src/spriteset_battle.h
	src/spriteset_map.cpp
	src/spriteset_map.h
	src/sprite_timer.cpp
	src/sprite_timer.h
	src/state.cpp
	src/state.h
	src/std_clock.h
	src/string_view.cpp
	src/string_view.h
	src/system.h
	src/teleport_target.h
	src/text.cpp
	src/text.h
	src/tilemap.cpp
	src/tilemap.h
	src/tilemap_layer.cpp
	src/tilemap_layer.h
	src/tone.h
	src/transform.h
	src/transition.cpp
	src/transition.h
	src/translation.cpp
	src/translation.h
	src/util_macro.h
	src/utils.cpp
	src/utils.h
	src/version.cpp
	src/version.h
	src/weather.cpp
	src/weather.h
	src/window_about.cpp
	src/window_about.h
	src/window_actorinfo.cpp
	src/window_actorinfo.h
	src/window_actorsp.cpp
	src/window_actorsp.h
	src/window_actorstatus.cpp
	src/window_actorstatus.h
	src/window_actortarget.cpp
	src/window_actortarget.h
	src/window_base.cpp
	src/window_base.h
	src/window_battlemessage.cpp
	src/window_battlemessage.h
	src/window_battlestatus.cpp
	src/window_battlestatus.h
	src/window_command.cpp
	src/window_command.h
	src/window_command_horizontal.cpp
	src/window_command_horizontal.h
	src/window.cpp
	src/window_equip.cpp
	src/window_equip.h
	src/window_equipitem.cpp
	src/window_equipitem.h
	src/window_equipstatus.cpp
	src/window_equipstatus.h
	src/window_face.cpp
	src/window_face.h
	src/window_gamelist.cpp
	src/window_gamelist.h
	src/window_gold.cpp
	src/window_gold.h
	src/window.h
	src/window_help.cpp
	src/window_help.h
	src/window_import_progress.cpp
	src/window_import_progress.h
	src/window_input_settings.cpp
	src/window_input_settings.h
	src/window_item.cpp
	src/window_item.h
	src/window_interpreter.cpp
	src/window_interpreter.h
	src/window_keyboard.cpp
	src/window_keyboard.h
	src/window_menustatus.cpp
	src/window_menustatus.h
	src/window_message.cpp
	src/window_message.h
	src/window_name.cpp
	src/window_name.h
	src/window_numberinput.cpp
	src/window_numberinput.h
	src/window_paramstatus.cpp
	src/window_paramstatus.h
	src/window_savefile.cpp
	src/window_savefile.h
	src/window_selectable.cpp
	src/window_selectable.h
	src/window_settings.cpp
	src/window_settings.h
	src/window_shopbuy.cpp
	src/window_shopbuy.h
	src/window_shop.cpp
	src/window_shop.h
	src/window_shopnumber.cpp
	src/window_shopnumber.h
	src/window_shopparty.cpp
	src/window_shopparty.h
	src/window_shopsell.cpp
	src/window_shopsell.h
	src/window_shopstatus.cpp
	src/window_shopstatus.h
	src/window_skill.cpp
	src/window_skill.h
	src/window_skillstatus.cpp
	src/window_skillstatus.h
	src/window_stringview.cpp
	src/window_stringview.h
	src/window_targetstatus.cpp
	src/window_targetstatus.h
	src/window_teleport.cpp
	src/window_teleport.h
	src/window_varlist.cpp
	src/window_varlist.h
)

# These are actually unused when building in CMake
#	src/platform/opendingux/opendingux_input_buttons.cpp
#	src/platform/psp/psp_input_buttons.cpp

# Include directories
target_include_directories(${PROJECT_NAME} PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/src)

# Optimize floating point math functions into intrinsics and don't check or set errno (i.e. sqrt(-1))
if (NOT CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
	target_compile_options(${PROJECT_NAME} PUBLIC "-fno-math-errno")
endif()

# Version setup
set(PLAYER_VERSION ${PROJECT_VERSION})
if(NOT PROJECT_VERSION_TWEAK)
	# a kludge to match the valid version format
	set(PROJECT_VERSION_TWEAK 0)
	if(NOT PROJECT_VERSION_PATCH)
		set(PROJECT_VERSION_PATCH 0)
	endif()
endif()
set(PLAYER_VERSION_FULL ${PLAYER_VERSION})
string(CONCAT PROJECT_VERSION
	${PROJECT_VERSION_MAJOR} "." ${PROJECT_VERSION_MINOR} "."
	${PROJECT_VERSION_PATCH} "." ${PROJECT_VERSION_TWEAK})

set(PLAYER_VERSION_GIT "")
git_get_exact_tag(GIT_TAG)
# Do not include a hash, if we are building a release tag
if(NOT GIT_TAG)
	# otherwise concatenate a version with hash
	git_describe(GIT_DESCRIPTION)
	if(GIT_DESCRIPTION)
		string(REPLACE "-" ";" GIT_DESCRIPTION ${GIT_DESCRIPTION})

=== builds/libretro/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16...3.31 FATAL_ERROR)

project(retro_common VERSION 1.0 LANGUAGES C)

# Check availability of libretro-common submodule
file(GLOB RETRO_COMMON_DIR ${CMAKE_CURRENT_SOURCE_DIR}/libretro-common/*)
list(LENGTH RETRO_COMMON_DIR RETRO_COMMON_DIR_LEN)
if(RETRO_COMMON_DIR_LEN EQUAL 0)
	message(FATAL_ERROR "libretro-common is empty. Run \"git submodule update --init\" and try again.")
endif()

add_library(retro_common STATIC
	libretro-common/rthreads/rthreads.c
)

target_include_directories(retro_common PUBLIC
	libretro-common/include)

find_library(PTHREAD_LIBRARY pthread)
if(PTHREAD_LIBRARY)
	target_link_libraries(retro_common "${PTHREAD_LIBRARY}")
endif()

if(BUILD_SHARED_LIBS)
	set_property(TARGET retro_common PROPERTY POSITION_INDEPENDENT_CODE ON)
endif()

mark_as_advanced(RETRO_COMMON_DIR RETRO_COMMON_DIR_LEN)

=== builds/android/app/src/gamebrowser/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(easyrpg_android VERSION 1.0 LANGUAGES CXX)

add_library(gamebrowser
	org_easyrpg_player_game_browser.cpp
	org_easyrpg_player_game_browser.h
)

set_target_properties(gamebrowser PROPERTIES DEBUG_POSTFIX "")

target_link_libraries(gamebrowser easyrpg_android)

if(BUILD_SHARED_LIBS)
	set_property(TARGET gamebrowser PROPERTY POSITION_INDEPENDENT_CODE ON)
endif()

=== debian/changelog ===
easyrpg-player (0.8.1.1-2+7.3) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Thu, 02 Oct 2025 00:07:07 +0000

easyrpg-player (0.8.1.1-2) unstable; urgency=low

  * OBS rebuild

 -- carstene1ns <dev@ f4ke .de>  Thu, 25 Sep 2025 02:36:53 +0200

easyrpg-player (0.8.1.1-1) unstable; urgency=low

  * Upstream update

 -- carstene1ns <dev@ f4ke .de>  Sun, 15 Jun 2025 22:32:45 +0200

easyrpg-player (0.8.1-1) unstable; urgency=low

  * Upstream update

 -- carstene1ns <dev@ f4ke .de>  Tue, 08 Apr 2025 11:51:17 +0200

easyrpg-player (0.8-2) unstable; urgency=low

  * OBS rebuild
  * Update patches

 -- carstene1ns <dev@ f4ke .de>  Tue, 13 Feb 2024 00:34:28 +0100

easyrpg-player (0.8-1) unstable; urgency=low

  * Upstream update

 -- Ghabry <gabriel@ mastergk .de>  Tue, 30 May 2023 02:31:24 +0200

easyrpg-player (0.7.0-4) unstable; urgency=low

  * OBS rebuild

 -- carstene1ns <dev@ f4ke .de>  Tue, 14 Jun 2022 22:55:41 +0200

easyrpg-player (0.7.0-3) unstable; urgency=low

  * OBS rebuild

 -- carstene1ns <dev@ f4ke .de>  Sun, 13 Mar 2022 21:52:35 +0100

easyrpg-player (0.7.0-2) unstable; urgency=low

  * Cleanup
  * patch ALSA detection

 -- carstene1ns <dev@ f4ke .de>  Mon, 01 Nov 2021 14:42:23 +0100

easyrpg-player (0.7.0-1) unstable; urgency=low

  * Upstream update
  * New dependencies
  * Remove patch for old SDL2

 -- carstene1ns <dev@ f4ke .de>  Sun, 31 Oct 2021 21:39:23 +0100

easyrpg-player (0.6.2.3-1) unstable; urgency=low

  * Upstream update
  * Remove outdated patch

 -- carstene1ns <dev@ f4ke .de>  Sun, 20 Dec 2020 19:06:22 +0100

easyrpg-player (0.6.2.1-1) unstable; urgency=low

  * Upstream update

 -- carstene1ns <dev@ f4ke .de>  Wed, 15 Jul 2020 17:17:48 +0100

easyrpg-player (0.6.2-2) unstable; urgency=low

  * Enable mp3/opus/harfbuzz support

 -- carstene1ns <dev@ f4ke .de>  Sat, 02 May 2020 17:20:24 +0100

easyrpg-player (0.6.2-1) unstable; urgency=low

  * Upstream update

 -- carstene1ns <dev@ f4ke .de>  Mon, 27 Apr 2020 19:07:30 +0100

easyrpg-player (0.6.1-1) unstable; urgency=low

  * Upstream update
  * Remove gcc 4.7 / Debian 7 patches

 -- carstene1ns <dev@ f4ke .de>  Thu, 29 Aug 2019 01:32:00 +0100

easyrpg-player (0.6.0-1) unstable; urgency=low

  * Upstream update

 -- carstene1ns <dev@ f4ke .de>  Mon, 04 Mar 2019 00:32:00 +0100

easyrpg-player (0.5.4-1) unstable; urgency=low

  * Upstream update

 -- carstene1ns <dev@ f4ke .de>  Sat, 27 Oct 2018 23:35:00 +0100

easyrpg-player (0.5.3-1) unstable; urgency=low

  * Upstream update

 -- carstene1ns <dev@ f4ke .de>  Sun, 22 Oct 2017 23:18:00 +0100

easyrpg-player (0.5.2-1) unstable; urgency=low

  * Upstream update

 -- carstene1ns <dev@ f4ke .de>  Wed, 28 Jun 2017 23:09:00 +0100

easyrpg-player (0.5.1-1) unstable; urgency=low

  * Upstream update
  * Try to use 'libpng-dev' package, as newer Ubuntu versions have
    switched from 1.2 to 1.6 series. Older ones provide it virtually

 -- carstene1ns <dev@ f4ke .de>  Sun, 16 Apr 2017 23:02:00 +0100

easyrpg-player (0.5.0-1) unstable; urgency=low

  * Upstream update

 -- carstene1ns <dev@ f4ke .de>  Sat, 24 Sep 2016 01:48:00 +0100

easyrpg-player (0.4.1-2) unstable; urgency=low

  * Checksum update

 -- carstene1ns <dev@ f4ke .de>  Sun, 20 Mar 2016 15:48:00 +0100

easyrpg-player (0.4.1-1) unstable; urgency=low

  * Upstream update

 -- carstene1ns <dev@ f4ke .de>  Sat, 19 Mar 2016 03:21:00 +0100

easyrpg-player (0.4.0-1) unstable; urgency=low
 
  * Initial release

 -- carstene1ns <dev@ f4ke .de>  Mon, 04 Jan 2016 19:35:50 +0100

=== debian/control ===
Source: easyrpg-player
Section: games
Priority: optional
Maintainer: carstene1ns <dev@ f4ke .de>
Build-Depends: debhelper (>= 11), cmake (>= 3.18), pkg-config, liblcf-dev,
 libsdl2-dev, libfmt-dev, libpixman-1-dev, libpng-dev, libfreetype6-dev,
 libharfbuzz-dev, libogg-dev, libvorbis-dev, libspeexdsp-dev, libsndfile-dev,
 libopusfile-dev, libmpg123-dev, libfluidsynth-dev, fluidsynth, liblhasa-dev
Standards-Version: 4.6.0
Homepage: https://easyrpg.org

Package: easyrpg-player
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: RPG Maker 2000/2003 and EasyRPG game interpreter
 EasyRPG Player is a program that allows to play games created with
 RPG Maker 2000 and 2003. It aims to be a free (as in freedom)
 cross-platform RPG Maker 2000/2003 interpreter. The main goal is
 to play all games created with them as the original game interpreter
 (RPG_RT.exe) does.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DPLAYER_WITH_NATIVE_MIDI=OFF
